# 
# old_revision [95220d9f8a309c487f6d8da20ce7f8df8945bc0c]
# 
# add_file "packages/linux/linux-openmoko/glamo-report-vram-size-to-userspace.patch"
#  content [c9d35297bee6c1f0e66123fe4919e96dc632cf70]
# 
# add_file "packages/xorg-xserver/xserver-kdrive-1.3.0.0/build-glamo.patch"
#  content [cc0e9b8762c22daff42051281744706d62d5803b]
# 
# add_file "packages/xorg-xserver/xserver-kdrive-1.3.0.0/smedia-glamo.patch"
#  content [9e6bb0c7c7556483765850cbd03efcd3fd9a55d8]
# 
# patch "packages/linux/linux-openmoko_2.6.22.5.bb"
#  from [7e0cfda05ce43d08a2e2830dc6d3cbe28cf52bd6]
#    to [2403ba846329f9d07c4852a702f505eebde7351f]
# 
# patch "packages/xorg-xserver/xserver-kdrive-common.inc"
#  from [41111959110e4d02e8cbcb965b17cd1d2494d5b9]
#    to [243bcb1cf8f6d81256ea0e31b07b0478b9bb5174]
# 
# patch "packages/xorg-xserver/xserver-kdrive_1.3.0.0.bb"
#  from [bc48ac913bf5619e2ef613e1dcc2f78c81bcd221]
#    to [de61c2062ad218eabe75d458171196d03d0f9181]
# 
============================================================
--- packages/linux/linux-openmoko_2.6.22.5.bb	7e0cfda05ce43d08a2e2830dc6d3cbe28cf52bd6
+++ packages/linux/linux-openmoko_2.6.22.5.bb	2403ba846329f9d07c4852a702f505eebde7351f
@@ -22,6 +22,7 @@ SRC_URI = "${KERNELORG_MIRROR}/pub/linux
            ${KERNELORG_MIRROR}/pub/linux/kernel/v2.6/patch-${KERNEL_RELEASE}.bz2;patch=1 \
 	       svn://svn.openmoko.org/trunk/src/target/kernel;module=patches;proto=http \
            file://fix-EVIOCGRAB-semantics-2.6.22.5.patch;patch=1 \
+           file://glamo-report-vram-size-to-userspace.patch;patch=1 \
            file://defconfig-${KERNEL_RELEASE}"
 
 S = "${WORKDIR}/linux-${VANILLA_VERSION}"
============================================================
--- packages/xorg-xserver/xserver-kdrive-common.inc	41111959110e4d02e8cbcb965b17cd1d2494d5b9
+++ packages/xorg-xserver/xserver-kdrive-common.inc	243bcb1cf8f6d81256ea0e31b07b0478b9bb5174
@@ -9,6 +9,7 @@ PACKAGES =+ "xserver-kdrive-fbdev \
              xserver-kdrive-xephyr \
              xserver-kdrive-epson \
              xserver-kdrive-ati \
+             xserver-kdrive-glamo \
              xserver-kdrive-chips \
              xserver-kdrive-i810 \
              xserver-kdrive-mach64 \
@@ -32,6 +33,7 @@ DESCRIPTION_xserver-kdrive-ati = "X serv
 DESCRIPTION_xserver-kdrive-sdl = "X server from freedesktop.org, SDL version"
 DESCRIPTION_xserver-kdrive-w100 = "X server from freedesktop.org, supporting the ATI imageon w100 chipset"
 DESCRIPTION_xserver-kdrive-ati = "X server from freedesktop.org, supporting ATI devices"
+DESCRIPTION_xserver-kdrive-glamo = "X server from freedesktop.org, supporting Smedia Glamo chipset"
 DESCRIPTION_xserver-kdrive-chips = "X server from freedesktop.org, supporting Chips chipsets"
 DESCRIPTION_xserver-kdrive-i810 = "X server from freedesktop.org, supporting Intel chipsets"
 DESCRIPTION_xserver-kdrive-imageon = "X server from freedesktop.org, supporting the ATI imageon 100 chipset"
@@ -54,6 +56,7 @@ FILES_xserver-kdrive-ati = "${bindir}/Xa
 FILES_xserver-kdrive-sdl = "${bindir}/Xsdl"
 FILES_xserver-kdrive-w100 = "${bindir}/Xw100"
 FILES_xserver-kdrive-ati = "${bindir}/Xati"
+FILES_xserver-kdrive-glamo = "${bindir}/Xglamo"
 FILES_xserver-kdrive-chips = "${bindir}/Xchips"
 FILES_xserver-kdrive-i810 = "${bindir}/Xi810"
 FILES_xserver-kdrive-imageon = "${bindir}/Ximageon"
@@ -74,6 +77,7 @@ RDEPENDS_xserver-kdrive-ati = "${PN}"
 RDEPENDS_xserver-kdrive-sdl = "${PN}"
 RDEPENDS_xserver-kdrive-w100 = "${PN}"
 RDEPENDS_xserver-kdrive-ati = "${PN}"
+RDEPENDS_xserver-kdrive-glamo = "${PN}"
 RDEPENDS_xserver-kdrive-chips = "${PN}"
 RDEPENDS_xserver-kdrive-i810 = "${PN}"
 RDEPENDS_xserver-kdrive-mach64 = "${PN}"
============================================================
--- packages/xorg-xserver/xserver-kdrive_1.3.0.0.bb	bc48ac913bf5619e2ef613e1dcc2f78c81bcd221
+++ packages/xorg-xserver/xserver-kdrive_1.3.0.0.bb	de61c2062ad218eabe75d458171196d03d0f9181
@@ -21,6 +21,8 @@ SRC_URI = "${XORG_MIRROR}/individual/xse
 	file://w100-fix-offscreen-bmp.patch;patch=1 \
         file://kdrive-1.3-18bpp.patch;patch=1 \
         file://gumstix-kmode.patch;patch=1 \
+        file://smedia-glamo.patch;patch=1 \
+        file://build-glamo.patch;patch=1 \
 "
 
 S = "${WORKDIR}/xorg-server-${PV}"
